#include<stdio.h>
int main(){
	int i,j,n;
	scanf("%i", &n);
	if(n=0){
		printf("-1");
		return 1;
	}
	if (n==1)
		printf("*");
	for(i=n;i<=n;i--){
		for(j=0;j<i;j--){
			if (i%2=0)
				printf("*");
			else
		printf("-");
		}
	printf("\n");
	}
	}
return 0;
}
